module.exports = {
  create: {
    requestBody: [
      '!name',
      '!phone',
      'gender',
      'openid',
      'age',
      'birthday',
      'department',
      'is_etiquette_teacher'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'phone',
      'gender',
      'openid',
      'age',
      'birthday',
      'department',
      'is_etiquette_teacher'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name :'name',
        phone:'phone',
        gender :'gender',
        openid :'openid',
        age :'age',
        birthday :'birthday',
        department :'department',
        is_etiquette_teacher :'is_etiquette_teacher'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
