module.exports = {
  create: {
    requestBody: [
      '!name',
      '!id_number',
      '!phone',
      'gender',
      'nation',
      'school_name',
      'schoolid',
      'faculty',
      'major',
      'entry_year',
      'finish_year',
      'school_job',
      'qq',
      'email',
      'openid',
      'family_place',
      'family_is_hard',
      'have_grant',
      'job',
      'termid',
      'batchid',
      'classid',
      'bedroomid',
      'is_fine',
      'selfscore',
      'score'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'id_number',
      'phone',
      'gender',
      'nation',
      'school_name',
      'schoolid',
      'faculty',
      'major',
      'entry_year',
      'finish_year',
      'school_job',
      'qq',
      'email',
      'openid',
      'family_place',
      'family_is_hard',
      'have_grant',
      'job',
      'termid',
      'batchid',
      'classid',
      'bedroomid',
      'is_fine',
      'selfscore',
      'score'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name:'name',
        id_number: 'id_number',
        phone:'phone',
        gender:'gender',
        nation:'nation',
        school_name:'school_name',
        schoolid :'schoolid',
        faculty :'faculty',
        major:'major',
        entry_year:'entry_year',
        finish_year:'finish_year',
        school_job :'school_job',
        qq :'qq',
        email:'email',
        openid:'openid',
        family_place :'family_place',
        family_is_hard:'family_is_hard',
        have_grant :'have_grant',
        job:'job',
        termid:'termid',
        batchid:'batchid',
        classid:'classid',
        bedroomid : 'bedroomid',
        is_fine:'is_fine',
        selfscore :'selfscore',
        score :'score'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
