'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

// 考勤信息表
const attendInfo = new Schema({
  date: { type: String, required: false, maxLength: 200 }, // 日期
  time: { type: String, required: false, maxLength: 200 }, // 时间
  status: { type: String, required: false, maxLength: 200 }, // 是否签到,0-未签到，1-签到，2-迟到
});

// 考勤表
const AttendanceSchema = {
  termid: { type: String, required: false, maxLength: 200 }, // 期id
  batchid: { type: String, required: false, maxLength: 200 }, // 批次id
  classid: { type: String, required: false, maxLength: 200 }, // 班级id
  studentid: { type: String, required: false, maxLength: 200 }, // 学生id
  attend: { type: [ attendInfo ], select: true }, // 考勤信息
};


const schema = new Schema(AttendanceSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Attendance', schema, 'attendance');
};
