/* eslint valid-jsdoc: "off" */

'use strict';

const { jwt } = require('./config.secret');

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1578642242928_5726';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  config.errorMongo = {
    details: true,
  };
  config.errorHanler = {
    details: true,
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 7001,
    },
  };

  config.proxy = true;
  config.hostHeaders = 'x-forwarded-host';
  // 服务器发布路径
  config.baseUrl = 'http://free.liaoningdoupo.com';
  // 认证回调地址
  config.authUrl = '/api/auth';
  // 回调地址
  config.redirect_uri = `${config.baseUrl}/weixin`;
  config.redirect_uri_doctor = `${config.baseUrl}/patient/manage`;
  config.redirect_uri_patient = `${config.baseUrl}/doctor/manage`;
  // base路径
  config.sendDirMq = 'http://wx.cc-lotus.info/api.weixin.qq.com/cgi-bin/message/template/send?appid=';
  // appID
  config.appid = 'wxdf3ed83c095be97a';
  config.REVIEW_TEMPLATE_ID = 'oqmozBcdkCzBOvNrdzMQ1lDJcobD5uBEpNoLWec0bPY';

  // config.amqp = {
  //   client: {
  //     hostname: '127.0.0.1',
  //     username: 'visit',
  //     password: 'visit123',
  //     vhost: 'visit',
  //   },
  //   app: true,
  //   agent: true,
  // };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/train',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // 安全配置
  config.security = {
    csrf: {
      // ignoreJSON: true, // 默认为 false，当设置为 true 时，将会放过所有 content-type 为 `application/json` 的请求
      enable: false,
    },
  };
  // // JWT config
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'train',
  };

  return {
    ...config,
    ...userConfig,
  };
};
